﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;
using System.Windows.Input;

/* 
 * Almost everying in the view is bound to some element of this class
 */

namespace GenerateChart
{
    public class Presenter : INotifyPropertyChanged
    {
        private double scale;

        public double Scale
        {
            get { return scale; }
            set { scale = value;
                OnPropertyChanged("Scale");
            }
        }

        #region Private methods
        private void Initialise()
        {

        }

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion

        public Presenter()
        {
            Task.Run(() => this.Initialise());
        }


        public event PropertyChangedEventHandler PropertyChanged;
    }

}
